Installing Intel Compiler Suite on OpenSUSE 11.1

Fri 27 March 2009

Here are the basic steps to install Intel C/C++ and Fortran Compilers on OpenSUSE 11.1:

1. download Intel C/C++ and Fortran Compilers from their website. They are free for non-commercial use
2. unpack and start the installer
3. at some point I received:

Step no: 4 of 7 | Installation configuration - Missing Critical Pre-requisite
--------------------------------------------------------------------------------
The following required for installation commands are missing:
libstdc++.so.5 (library)
--------------------------------------------------------------------------------
1. Finish with prerequisites and back to Critical Pre-requisites dialog
[default]
2. Back to Pre-requisite summary dialog

h. Help
b. Back to the previous menu
q. Quit
--------------------------------------------------------------------------------
Please type a selection or press "Enter" to accept default choice [1]:

4. let's stop the installer and install the necessary packages

vaio:/home/ionut # zypper install libstdc++33

vaio:/home/ionut # whereis libstdc++.so.5
libstdc++.so: /usr/lib/libstdc++.so.6 /usr/lib64/libstdc++.so.5 /usr/lib64/libstdc++.so.6

vaio:/home/ionut # zypper install libstdc++33-32bit

vaio:/home/ionut # zypper install binutils-32bit binutils-devel

5. let's run again the installer, now we have all packages installed

[...skip...]
Step no: 4 of 7 | Installation configuration - Missing Optional Pre-requisite
--------------------------------------------------------------------------------
There is one or more optional unresolved issues. It is highly recommended to fix
it all before you continue the installation. You can fix it without exiting from
the installation and re-check. Or you can quit from the installation, fix it and
run the installation again.
--------------------------------------------------------------------------------
Missing optional pre-requisite
-- cannot determine operating system type
-- system glibc or kernel version not supported or not detectable
-- binutils version not supported or not detectable
------------------------------------------------------------
1. Skip missing optional pre-requisites [default]
2. Show the detailed info about issue(s)
3. Re-check the pre-requisites

h. Help
b. Back to the previous menu
q. Quit
--------------------------------------------------------------------------------
Please type a selection or press "Enter" to accept default choice [1]:

5. accept default choice and press Enter
6. Intel compiler is installed, do the same for the other compiler
7. enjoy :)